package main

import (
	"log"

	syslog "github.com/RackSec/srslog"
)

var logger *syslog.Writer

func init() {
	var err error

	logger, err = syslog.Dial("", "", syslog.LOG_ERR, "openpdu")

	// w, err := syslog.Dial("udp", "192.168.0.50:514", syslog.LOG_ERR, "openpdu")

	if err != nil {
		log.Fatal("failed to connect to syslog:", err)
	}

	// logger.Alert("this is an alert")
	// logger.Crit("this is critical")
	// logger.Err("this is an error")
	// logger.Warning("this is a warning")
	// logger.Notice("this is a notice")
	// logger.Info("this is info")
	// logger.Debug("this is debug")
	// logger.Write([]byte("these are some bytes"))
}

func logAlert(msg string) {
	if logger == nil {
		log.Printf(msg)
	} else {
		logger.Alert(msg)
	}
}

func logCrit(msg string) {
	if logger == nil {
		log.Printf(msg)
	} else {
		logger.Crit(msg)
	}
}

func logErr(msg string) {
	if logger == nil {
		log.Printf(msg)
	} else {
		logger.Err(msg)
	}
}

func logWarning(msg string) {
	if logger == nil {
		log.Printf(msg)
	} else {
		logger.Warning(msg)
	}
}

func logNotice(msg string) {
	if logger == nil {
		log.Printf(msg)
	} else {
		logger.Notice(msg)
	}
}

func logInfo(msg string) {
	if logger == nil {
		log.Printf(msg)
	} else {
		logger.Info(msg)
	}
}

func logDebug(msg string) {
	if logger == nil {
		log.Printf(msg)
	} else {
		logger.Debug(msg)
	}
}
